{{ define "stylesheet" }}
<style>
{{ with .Params.Header }}
{{ $header_img := resources.Get . }}
.header-image {
    width: 100%;
    background-image: url('{{ $header_img.RelPermalink }}');
    background-size: cover;
    background-attachment: scroll;
    background-position: center 33%;
    {{ with $.Params.HeaderHeight }}
    height: {{ . }};
    {{ else }}
    height: 30vh;
    {{ end }}
}

@media (min-width: 800px) {
    .header-image {
        background-attachment: fixed;
    }
}
{{ end }}
</style>
{{ end }}

{{ define "main" }}
{{ with .Params.Header }}
<div class="header-image">&nbsp;</div>
{{ end }}
<div class="container pb-5" style="min-height: 100vh;">
    <div class="row pb-3 pt-5">
        <div class="col">
            <h1>{{ .Title }}</h1>
        </div>
    </div>
    {{ with .Params.showDate }}
    <div class="row">
        <div class="col">
            <p class="text-right">
                {{ $publish_date := $.Date | time.Format ":date_long" }}
                {{ $mod_date := $.Lastmod | time.Format ":date_long" }}
                {{ $.Site.Params.createdOn }} {{ $publish_date }}{{ if ne $publish_date $mod_date }} - <a href='https://{{ .Site.Params.gitServer }}/{{ .Site.Params.gitPath }}/-/commits/{{ $.Site.Params.gitBranch }}/content/{{ replace $.File.Path "\\" "/" }}'>{{ $.Site.Params.lastModified }} {{ $mod_date }}</a>{{ end }}
            </p>
        </div>
    </div>
    {{ else }}{{ end }}
    <div class="row">
        <div class="col">
          <main>
            {{ .Content }}
          </main>
        </div>
    </div>
</div>
{{ end }}
